Index: FCKeditor/trunk/editor/dialog/fck_anchor.html
===================================================================
--- FCKeditor/trunk/editor/dialog/fck_anchor.html	(revision 1107)
+++ FCKeditor/trunk/editor/dialog/fck_anchor.html	(revision 1108)
@@ -69,4 +69,5 @@
 
 	window.parent.SetOkButton( true ) ;
+	window.parent.SetAutoSize( true ) ;
 }
 
@@ -189,5 +190,5 @@
 		</script>
 	</head>
-	<body style="OVERFLOW: hidden" scroll="no">
+	<body style="overflow: hidden">
 		<table height="100%" width="100%">
 			<tr>
Index: FCKeditor/trunk/editor/dialog/fck_button.html
===================================================================
--- FCKeditor/trunk/editor/dialog/fck_button.html	(revision 1107)
+++ FCKeditor/trunk/editor/dialog/fck_button.html	(revision 1108)
@@ -54,4 +54,5 @@
 
 	window.parent.SetOkButton( true ) ;
+	window.parent.SetAutoSize( true ) ;
 }
 
Index: FCKeditor/trunk/editor/dialog/fck_checkbox.html
===================================================================
--- FCKeditor/trunk/editor/dialog/fck_checkbox.html	(revision 1107)
+++ FCKeditor/trunk/editor/dialog/fck_checkbox.html	(revision 1108)
@@ -52,4 +52,5 @@
 
 	window.parent.SetOkButton( true ) ;
+	window.parent.SetAutoSize( true ) ;
 }
 
Index: FCKeditor/trunk/editor/dialog/fck_form.html
===================================================================
--- FCKeditor/trunk/editor/dialog/fck_form.html	(revision 1107)
+++ FCKeditor/trunk/editor/dialog/fck_form.html	(revision 1108)
@@ -52,4 +52,5 @@
 
 	window.parent.SetOkButton( true ) ;
+	window.parent.SetAutoSize( true ) ;
 }
 
Index: FCKeditor/trunk/editor/dialog/fck_hiddenfield.html
===================================================================
--- FCKeditor/trunk/editor/dialog/fck_hiddenfield.html	(revision 1107)
+++ FCKeditor/trunk/editor/dialog/fck_hiddenfield.html	(revision 1108)
@@ -60,4 +60,5 @@
 
 	window.parent.SetOkButton( true ) ;
+	window.parent.SetAutoSize( true ) ;
 }
 
Index: FCKeditor/trunk/editor/dialog/fck_listprop.html
===================================================================
--- FCKeditor/trunk/editor/dialog/fck_listprop.html	(revision 1107)
+++ FCKeditor/trunk/editor/dialog/fck_listprop.html	(revision 1108)
@@ -65,4 +65,5 @@
 
 	window.parent.SetOkButton( true ) ;
+	window.parent.SetAutoSize( true ) ;
 }
 
Index: FCKeditor/trunk/editor/dialog/fck_radiobutton.html
===================================================================
--- FCKeditor/trunk/editor/dialog/fck_radiobutton.html	(revision 1107)
+++ FCKeditor/trunk/editor/dialog/fck_radiobutton.html	(revision 1108)
@@ -52,4 +52,5 @@
 
 	window.parent.SetOkButton( true ) ;
+	window.parent.SetAutoSize( true ) ;
 }
 
Index: FCKeditor/trunk/editor/dialog/fck_replace.html
===================================================================
--- FCKeditor/trunk/editor/dialog/fck_replace.html	(revision 1107)
+++ FCKeditor/trunk/editor/dialog/fck_replace.html	(revision 1108)
@@ -44,4 +44,7 @@
 	idMap['CheckCase'] = 'chkCase' + tabCode ;
 	idMap['CheckWord'] = 'chkWord' + tabCode ;
+
+	if ( tabCode == 'Replace' )
+		window.parent.SetAutoSize( true ) ;
 }
 
@@ -61,7 +64,11 @@
 	// Show the appropriate tab at startup.
 	if ( window.parent.name.search( 'Replace' ) == -1 )
+	{
 		window.parent.SetSelectedTab( 'Find' ) ;
+		window.parent.SetAutoSize( true ) ;
+	}
 	else
 		window.parent.SetSelectedTab( 'Replace' ) ;
+
 }
 
Index: FCKeditor/trunk/editor/dialog/fck_select.html
===================================================================
--- FCKeditor/trunk/editor/dialog/fck_select.html	(revision 1107)
+++ FCKeditor/trunk/editor/dialog/fck_select.html	(revision 1108)
@@ -70,4 +70,5 @@
 
 	window.parent.SetOkButton( true ) ;
+	window.parent.SetAutoSize( true ) ;
 }
 
@@ -114,5 +115,5 @@
 		</script>
 	</head>
-	<body style='OVERFLOW: hidden' scroll='no'>
+	<body style="overflow: hidden">
 		<table width="100%" height="100%">
 			<tr>
Index: FCKeditor/trunk/editor/dialog/fck_smiley.html
===================================================================
--- FCKeditor/trunk/editor/dialog/fck_smiley.html	(revision 1107)
+++ FCKeditor/trunk/editor/dialog/fck_smiley.html	(revision 1108)
@@ -42,4 +42,6 @@
 	// First of all, translate the dialog box texts
 	oEditor.FCKLanguageManager.TranslatePage(document) ;
+
+	window.parent.SetAutoSize( true ) ;
 }
 
@@ -70,5 +72,5 @@
 	</script>
 </head>
-<body scroll="no">
+<body style="overflow: hidden">
 	<table cellpadding="2" cellspacing="2" align="center" border="0" width="100%" height="100%">
 		<script type="text/javascript">
Index: FCKeditor/trunk/editor/dialog/fck_specialchar.html
===================================================================
--- FCKeditor/trunk/editor/dialog/fck_specialchar.html	(revision 1107)
+++ FCKeditor/trunk/editor/dialog/fck_specialchar.html	(revision 1108)
@@ -70,9 +70,11 @@
 	// First of all, translates the dialog box texts.
 	oEditor.FCKLanguageManager.TranslatePage(document) ;
+
+	window.parent.SetAutoSize( true ) ;
 }
 
 		</script>
-	</HEAD>
-	<BODY onload="setDefaults()" scroll="no">
+	</head>
+	<body onload="setDefaults()" style="overflow: hidden">
 		<table cellpadding="0" cellspacing="0" width="100%" height="100%">
 			<tr>
@@ -115,4 +117,4 @@
 			</tr>
 		</table>
-	</BODY>
-</HTML>
+	</body>
+</html>
Index: FCKeditor/trunk/editor/dialog/fck_textarea.html
===================================================================
--- FCKeditor/trunk/editor/dialog/fck_textarea.html	(revision 1107)
+++ FCKeditor/trunk/editor/dialog/fck_textarea.html	(revision 1108)
@@ -52,4 +52,5 @@
 
 	window.parent.SetOkButton( true ) ;
+	window.parent.SetAutoSize( true ) ;
 }
 
@@ -72,5 +73,5 @@
 		</script>
 	</head>
-	<body style='OVERFLOW: hidden' scroll='no'>
+	<body style="overflow: hidden">
 		<table height="100%" width="100%">
 			<tr>
Index: FCKeditor/trunk/editor/dialog/fck_textfield.html
===================================================================
--- FCKeditor/trunk/editor/dialog/fck_textfield.html	(revision 1107)
+++ FCKeditor/trunk/editor/dialog/fck_textfield.html	(revision 1108)
@@ -56,4 +56,5 @@
 
 	window.parent.SetOkButton( true ) ;
+	window.parent.SetAutoSize( true ) ;
 }
 