Index: MediaWiki/branches/1.11/includes/MimeMagic.php
===================================================================
--- MediaWiki/branches/1.11/includes/MimeMagic.php	(revision 1280)
+++ MediaWiki/branches/1.11/includes/MimeMagic.php	(revision 1281)
@@ -112,54 +112,65 @@
 		*/
 
-		global $wgMimeTypeFile;
-
-		$types= MM_WELL_KNOWN_MIME_TYPES;
-
-		if ($wgMimeTypeFile) {
-			if (is_file($wgMimeTypeFile) and is_readable($wgMimeTypeFile)) {
-				wfDebug("MimeMagic::MimeMagic: loading mime types from $wgMimeTypeFile\n");
-
-				$types.= "\n";
-				$types.= file_get_contents($wgMimeTypeFile);
-			}
-			else wfDebug("MimeMagic::MimeMagic: can't load mime types from $wgMimeTypeFile\n");
-		}
-		else wfDebug("MimeMagic::MimeMagic: no mime types file defined, using build-ins only.\n");
-
-		$types= str_replace(array("\r\n","\n\r","\n\n","\r\r","\r"),"\n",$types);
-		$types= str_replace("\t"," ",$types);
-
-		$this->mMimeToExt= array();
-		$this->mToMime= array();
-
-		$lines= explode("\n",$types);
-		foreach ($lines as $s) {
-			$s= trim($s);
-			if (empty($s)) continue;
-			if (strpos($s,'#')===0) continue;
-
-			$s= strtolower($s);
-			$i= strpos($s,' ');
-
-			if ($i===false) continue;
+		global $wgMimeTypeFile, $IP;
+
+		$types = MM_WELL_KNOWN_MIME_TYPES;
+
+		if ( $wgMimeTypeFile == 'includes/mime.types' ) {
+			$wgMimeTypeFile = "$IP/$wgMimeTypeFile";
+		}
+		
+		if ( $wgMimeTypeFile ) {
+			if ( is_file( $wgMimeTypeFile ) and is_readable( $wgMimeTypeFile ) ) {
+				wfDebug( __METHOD__.": loading mime types from $wgMimeTypeFile\n" );
+				$types .= "\n";
+				$types .= file_get_contents( $wgMimeTypeFile );
+			} else {
+				wfDebug( __METHOD__.": can't load mime types from $wgMimeTypeFile\n" );
+			}
+		} else {
+			wfDebug( __METHOD__.": no mime types file defined, using build-ins only.\n" );
+		}
+
+		$types = str_replace( array( "\r\n", "\n\r", "\n\n", "\r\r", "\r" ), "\n", $types );
+		$types = str_replace( "\t", " ", $types );
+
+		$this->mMimeToExt = array();
+		$this->mToMime = array();
+
+		$lines = explode( "\n",$types );
+		foreach ( $lines as $s ) {
+			$s = trim( $s );
+			if ( empty( $s ) ) continue;
+			if ( strpos( $s, '#' ) === 0 ) continue;
+
+			$s = strtolower( $s );
+			$i = strpos( $s, ' ' );
+
+			if ( $i === false ) continue;
 
 			#print "processing MIME line $s<br>";
 
-			$mime= substr($s,0,$i);
-			$ext= trim(substr($s,$i+1));
-
-			if (empty($ext)) continue;
-
-			if ( !empty($this->mMimeToExt[$mime])) $this->mMimeToExt[$mime] .= ' '.$ext;
-			else $this->mMimeToExt[$mime]= $ext;
-
-			$extensions= explode(' ',$ext);
-
-			foreach ($extensions as $e) {
-				$e= trim($e);
-				if (empty($e)) continue;
-
-				if ( !empty($this->mExtToMime[$e])) $this->mExtToMime[$e] .= ' '.$mime;
-				else $this->mExtToMime[$e]= $mime;
+			$mime = substr( $s, 0, $i );
+			$ext = trim( substr($s, $i+1 ) );
+
+			if ( empty( $ext ) ) continue;
+
+			if ( !empty( $this->mMimeToExt[$mime] ) ) {
+				$this->mMimeToExt[$mime] .= ' ' . $ext;
+			} else {
+				$this->mMimeToExt[$mime] = $ext;
+			}
+
+			$extensions = explode( ' ', $ext );
+
+			foreach ( $extensions as $e ) {
+				$e = trim( $e );
+				if ( empty( $e ) ) continue;
+
+				if ( !empty( $this->mExtToMime[$e] ) ) {
+					$this->mExtToMime[$e] .= ' ' . $mime;
+				} else {
+					$this->mExtToMime[$e] = $mime;
+				}
 			}
 		}
@@ -170,60 +181,67 @@
 
 		global $wgMimeInfoFile;
-
-		$info= MM_WELL_KNOWN_MIME_INFO;
-
-		if ($wgMimeInfoFile) {
-			if (is_file($wgMimeInfoFile) and is_readable($wgMimeInfoFile)) {
-				wfDebug("MimeMagic::MimeMagic: loading mime info from $wgMimeInfoFile\n");
-
-				$info.= "\n";
-				$info.= file_get_contents($wgMimeInfoFile);
-			}
-			else wfDebug("MimeMagic::MimeMagic: can't load mime info from $wgMimeInfoFile\n");
-		}
-		else wfDebug("MimeMagic::MimeMagic: no mime info file defined, using build-ins only.\n");
-
-		$info= str_replace(array("\r\n","\n\r","\n\n","\r\r","\r"),"\n",$info);
-		$info= str_replace("\t"," ",$info);
-
-		$this->mMimeTypeAliases= array();
-		$this->mMediaTypes= array();
-
-		$lines= explode("\n",$info);
-		foreach ($lines as $s) {
-			$s= trim($s);
-			if (empty($s)) continue;
-			if (strpos($s,'#')===0) continue;
-
-			$s= strtolower($s);
-			$i= strpos($s,' ');
-
-			if ($i===false) continue;
+		if ( $wgMimeInfoFile == 'includes/mime.info' ) {
+			$wgMimeInfoFile = "$IP/$wgMimeInfoFile";
+		}
+
+		$info = MM_WELL_KNOWN_MIME_INFO;
+
+		if ( $wgMimeInfoFile ) {
+			if ( is_file( $wgMimeInfoFile ) and is_readable( $wgMimeInfoFile ) ) {
+				wfDebug( __METHOD__.": loading mime info from $wgMimeInfoFile\n" );
+				$info .= "\n";
+				$info .= file_get_contents( $wgMimeInfoFile );
+			} else {
+				wfDebug(__METHOD__.": can't load mime info from $wgMimeInfoFile\n");
+			}
+		} else {
+			wfDebug(__METHOD__.": no mime info file defined, using build-ins only.\n");
+		}
+
+		$info = str_replace( array( "\r\n", "\n\r", "\n\n", "\r\r", "\r" ), "\n", $info);
+		$info = str_replace( "\t", " ", $info );
+
+		$this->mMimeTypeAliases = array();
+		$this->mMediaTypes = array();
+
+		$lines = explode( "\n", $info );
+		foreach ( $lines as $s ) {
+			$s = trim( $s );
+			if ( empty( $s ) ) continue;
+			if ( strpos( $s, '#' ) === 0 ) continue;
+
+			$s = strtolower( $s );
+			$i = strpos( $s, ' ' );
+
+			if ( $i === false ) continue;
 
 			#print "processing MIME INFO line $s<br>";
 
-			$match= array();
-			if (preg_match('!\[\s*(\w+)\s*\]!',$s,$match)) {
-				$s= preg_replace('!\[\s*(\w+)\s*\]!','',$s);
-				$mtype= trim(strtoupper($match[1]));
-			}
-			else $mtype= MEDIATYPE_UNKNOWN;
-
-			$m= explode(' ',$s);
-
-			if (!isset($this->mMediaTypes[$mtype])) $this->mMediaTypes[$mtype]= array();
-
-			foreach ($m as $mime) {
-				$mime= trim($mime);
-				if (empty($mime)) continue;
-
-				$this->mMediaTypes[$mtype][]= $mime;
-			}
-
-			if (sizeof($m)>1) {
-				$main= $m[0];
-				for ($i=1; $i<sizeof($m); $i+= 1) {
-					$mime= $m[$i];
-					$this->mMimeTypeAliases[$mime]= $main;
+			$match = array();
+			if ( preg_match( '!\[\s*(\w+)\s*\]!', $s, $match ) ) {
+				$s = preg_replace( '!\[\s*(\w+)\s*\]!', '', $s );
+				$mtype = trim( strtoupper( $match[1] ) );
+			} else {
+				$mtype = MEDIATYPE_UNKNOWN;
+			}
+
+			$m = explode( ' ', $s );
+
+			if ( !isset( $this->mMediaTypes[$mtype] ) ) {
+				$this->mMediaTypes[$mtype] = array();
+			}
+
+			foreach ( $m as $mime ) {
+				$mime = trim( $mime );
+				if ( empty( $mime ) ) continue;
+
+				$this->mMediaTypes[$mtype][] = $mime;
+			}
+
+			if ( sizeof( $m ) > 1 ) {
+				$main = $m[0];
+				for ( $i=1; $i<sizeof($m); $i += 1 ) {
+					$mime = $m[$i];
+					$this->mMimeTypeAliases[$mime] = $main;
 				}
 			}
@@ -245,12 +263,12 @@
 	* as a space separated string.
 	*/
-	function getExtensionsForType($mime) {
-		$mime= strtolower($mime);
-
-		$r= @$this->mMimeToExt[$mime];
-
-		if (@!$r and isset($this->mMimeTypeAliases[$mime])) {
-			$mime= $this->mMimeTypeAliases[$mime];
-			$r= @$this->mMimeToExt[$mime];
+	function getExtensionsForType( $mime ) {
+		$mime = strtolower( $mime );
+
+		$r = @$this->mMimeToExt[$mime];
+
+		if ( @!$r and isset( $this->mMimeTypeAliases[$mime] ) ) {
+			$mime = $this->mMimeTypeAliases[$mime];
+			$r = @$this->mMimeToExt[$mime];
 		}
 
@@ -261,8 +279,8 @@
 	* as a space separated string.
 	*/
-	function getTypesForExtension($ext) {
-		$ext= strtolower($ext);
-
-		$r= isset( $this->mExtToMime[$ext] ) ? $this->mExtToMime[$ext] : null;
+	function getTypesForExtension( $ext ) {
+		$ext = strtolower( $ext );
+
+		$r = isset( $this->mExtToMime[$ext] ) ? $this->mExtToMime[$ext] : null;
 		return $r;
 	}
@@ -271,10 +289,10 @@
 	* This is always the first type from the list returned by getTypesForExtension($ext).
 	*/
-	function guessTypesForExtension($ext) {
-		$m= $this->getTypesForExtension( $ext );
-		if( is_null($m) ) return NULL;
-
-		$m= trim( $m );
-		$m= preg_replace('/\s.*$/','',$m);
+	function guessTypesForExtension( $ext ) {
+		$m = $this->getTypesForExtension( $ext );
+		if ( is_null( $m ) ) return NULL;
+
+		$m = trim( $m );
+		$m = preg_replace( '/\s.*$/', '', $m );
 
 		return $m;
@@ -286,15 +304,15 @@
 	* and false if the mime type is known but no matches where found.
 	*/
-	function isMatchingExtension($extension,$mime) {
-		$ext= $this->getExtensionsForType($mime);
-
-		if (!$ext) {
+	function isMatchingExtension( $extension, $mime ) {
+		$ext = $this->getExtensionsForType( $mime );
+
+		if ( !$ext ) {
 			return NULL;  //unknown
 		}
 
-		$ext= explode(' ',$ext);
-
-		$extension= strtolower($extension);
- 		if (in_array($extension,$ext)) {
+		$ext = explode( ' ', $ext );
+
+		$extension = strtolower( $extension );
+ 		if ( in_array( $extension, $ext ) ) {
 			return true;
 		}
@@ -348,14 +366,16 @@
 	*
 	* @param string $file The file to check
-	* @param bool $useExt switch for allowing to use the file extension to guess the mime type. true by default.
+	* @param mixed $ext The file extension, or true to extract it from the filename. 
+	*                   Set it to false to ignore the extension.
 	*
 	* @return string the mime type of $file
 	*/
-	function guessMimeType( $file, $useExt=true ) {
-		$fname = 'MimeMagic::guessMimeType';
-		$mime= $this->detectMimeType($file,$useExt);
+	function guessMimeType( $file, $ext = true ) {
+		$mime = $this->detectMimeType( $file, $ext );
 
 		// Read a chunk of the file
+		wfSuppressWarnings();
 		$f = fopen( $file, "rt" );
+		wfRestoreWarnings();
 		if( !$f ) return "unknown/unknown";
 		$head = fread( $f, 1024 );
@@ -370,39 +390,56 @@
 		}
 
-		if (strpos($mime,"text/")===0 || $mime==="application/xml") {
-
-			$xml_type= NULL;
-			$script_type= NULL;
+		if ( strpos( $mime, "text/" ) === 0 || $mime === "application/xml" ) {
+
+			$xml_type = NULL;
+			$script_type = NULL;
 
 			/*
 			* look for XML formats (XHTML and SVG)
 			*/
-			if ($mime==="text/sgml" ||
-			    $mime==="text/plain" ||
-			    $mime==="text/html" ||
-			    $mime==="text/xml" ||
-		            $mime==="application/xml") {
-
-				if (substr($head,0,5)=="<?xml") $xml_type= "ASCII";
-				elseif (substr($head,0,8)=="\xef\xbb\xbf<?xml") $xml_type= "UTF-8";
-				elseif (substr($head,0,10)=="\xfe\xff\x00<\x00?\x00x\x00m\x00l") $xml_type= "UTF-16BE";
-				elseif (substr($head,0,10)=="\xff\xfe<\x00?\x00x\x00m\x00l\x00") $xml_type= "UTF-16LE";
-
-				if ($xml_type) {
-					if ($xml_type!=="UTF-8" && $xml_type!=="ASCII") $head= iconv($xml_type,"ASCII//IGNORE",$head);
-
-					$match= array();
-					$doctype= "";
-					$tag= "";
-
-					if (preg_match('%<!DOCTYPE\s+[\w-]+\s+PUBLIC\s+["'."'".'"](.*?)["'."'".'"].*>%sim',$head,$match)) $doctype= $match[1];
-					if (preg_match('%<(\w+).*>%sim',$head,$match)) $tag= $match[1];
+			if ($mime === "text/sgml" ||
+			    $mime === "text/plain" ||
+			    $mime === "text/html" ||
+			    $mime === "text/xml" ||
+			    $mime === "application/xml") {
+
+				if ( substr( $head, 0, 5 ) == "<?xml" ) {
+					$xml_type = "ASCII";
+				} elseif ( substr( $head, 0, 8 ) == "\xef\xbb\xbf<?xml") {
+					$xml_type = "UTF-8";
+				} elseif ( substr( $head, 0, 10 ) == "\xfe\xff\x00<\x00?\x00x\x00m\x00l" ) {
+					$xml_type = "UTF-16BE";
+				} elseif ( substr( $head, 0, 10 ) == "\xff\xfe<\x00?\x00x\x00m\x00l\x00") {
+					$xml_type = "UTF-16LE";
+				}
+
+				if ( $xml_type ) {
+					if ( $xml_type !== "UTF-8" && $xml_type !== "ASCII" ) {
+						$head = iconv( $xml_type, "ASCII//IGNORE", $head );
+					}
+
+					$match = array();
+					$doctype = "";
+					$tag = "";
+
+					if ( preg_match( '%<!DOCTYPE\s+[\w-]+\s+PUBLIC\s+["'."'".'"](.*?)["'."'".'"].*>%sim', 
+						$head, $match ) ) {
+							$doctype = $match[1];
+						}
+					if ( preg_match( '%<(\w+).*>%sim', $head, $match ) ) {
+						$tag = $match[1];
+					}
 
 					#print "<br>ANALYSING $file ($mime): doctype= $doctype; tag= $tag<br>";
 
-					if (strpos($doctype,"-//W3C//DTD SVG")===0) $mime= "image/svg+xml";
-					elseif ($tag==="svg") $mime= "image/svg+xml";
-					elseif (strpos($doctype,"-//W3C//DTD XHTML")===0) $mime= "text/html";
-					elseif ($tag==="html") $mime= "text/html";
+					if ( strpos( $doctype, "-//W3C//DTD SVG" ) === 0 ) {
+						$mime = "image/svg+xml";
+					} elseif ( $tag === "svg" ) {
+						$mime = "image/svg+xml";
+					} elseif ( strpos( $doctype, "-//W3C//DTD XHTML" ) === 0 ) {
+						$mime = "text/html";
+					} elseif ( $tag === "html" ) {
+						$mime = "text/html";
+					}
 				}
 			}
@@ -411,24 +448,28 @@
 			* look for shell scripts
 			*/
-			if (!$xml_type) {
-				$script_type= NULL;
-
-				#detect by shebang
-				if (substr($head,0,2)=="#!") $script_type= "ASCII";
-				elseif (substr($head,0,5)=="\xef\xbb\xbf#!") $script_type= "UTF-8";
-				elseif (substr($head,0,7)=="\xfe\xff\x00#\x00!") $script_type= "UTF-16BE";
-				elseif (substr($head,0,7)=="\xff\xfe#\x00!") $script_type= "UTF-16LE";
-
-				if ($script_type) {
-					if ($script_type!=="UTF-8" && $script_type!=="ASCII") $head= iconv($script_type,"ASCII//IGNORE",$head);
-
-					$match= array();
-					$prog= "";
-
-					if (preg_match('%/?([^\s]+/)(w+)%sim',$head,$match)) {
-						$script= $match[2]; // FIXME: $script variable not used; should this be "$prog = $match[2];" instead?
+			if ( !$xml_type ) {
+				$script_type = NULL;
+
+				# detect by shebang
+				if ( substr( $head, 0, 2) == "#!" ) {
+					$script_type = "ASCII";
+				} elseif ( substr( $head, 0, 5) == "\xef\xbb\xbf#!" ) {
+					$script_type = "UTF-8";
+				} elseif ( substr( $head, 0, 7) == "\xfe\xff\x00#\x00!" ) {
+					$script_type = "UTF-16BE";
+				} elseif ( substr( $head, 0, 7 ) == "\xff\xfe#\x00!" ) {
+					$script_type= "UTF-16LE";
+				}
+
+				if ( $script_type ) {
+					if ( $script_type !== "UTF-8" && $script_type !== "ASCII") {
+						$head = iconv( $script_type, "ASCII//IGNORE", $head);
 					}
 
-					$mime= "application/x-$prog";
+					$match = array();
+
+					if ( preg_match( '%/?([^\s]+/)(\w+)%', $head, $match ) ) {
+						$mime = "application/x-{$match[2]}";
+					}
 				}
 			}
@@ -451,13 +492,15 @@
 				    ( strpos( $head, "<\x00?\x00=" ) !== false ) ) {
 
-					$mime= "application/x-php";
-				}
-			}
-
-		}
-
-		if (isset($this->mMimeTypeAliases[$mime])) $mime= $this->mMimeTypeAliases[$mime];
-
-		wfDebug("$fname: final mime type of $file: $mime\n");
+					$mime = "application/x-php";
+				}
+			}
+
+		}
+
+		if ( isset( $this->mMimeTypeAliases[$mime] ) ) {
+			$mime = $this->mMimeTypeAliases[$mime];
+		}
+
+		wfDebug(__METHOD__.": final mime type of $file: $mime\n");
 		return $mime;
 	}
@@ -466,25 +509,24 @@
 	* Detection is done using an external program, if $wgMimeDetectorCommand is set.
 	* Otherwise, the fileinfo extension and mime_content_type are tried (in this order), if they are available.
-	* If the dections fails and $useExt is true, the mime type is guessed from the file extension, using guessTypesForExtension.
+	* If the dections fails and $ext is not false, the mime type is guessed from the file extension, using 
+	* guessTypesForExtension.
 	* If the mime type is still unknown, getimagesize is used to detect the mime type if the file is an image.
 	* If no mime type can be determined, this function returns "unknown/unknown".
 	*
 	* @param string $file The file to check
-	* @param bool $useExt switch for allowing to use the file extension to guess the mime type. true by default.
+	* @param mixed $ext The file extension, or true to extract it from the filename. 
+	*                   Set it to false to ignore the extension.
 	*
 	* @return string the mime type of $file
 	* @access private
 	*/
-	function detectMimeType( $file, $useExt=true ) {
-		$fname = 'MimeMagic::detectMimeType';
-
+	function detectMimeType( $file, $ext = true ) {
 		global $wgMimeDetectorCommand;
 
-		$m= NULL;
-		if ($wgMimeDetectorCommand) {
-			$fn= wfEscapeShellArg($file);
-			$m= `$wgMimeDetectorCommand $fn`;
-		}
-		else if (function_exists("finfo_open") && function_exists("finfo_file")) {
+		$m = NULL;
+		if ( $wgMimeDetectorCommand ) {
+			$fn = wfEscapeShellArg( $file );
+			$m = `$wgMimeDetectorCommand $fn`;
+		} elseif ( function_exists( "finfo_open" ) && function_exists( "finfo_file" ) ) {
 
 			# This required the fileinfo extension by PECL,
@@ -501,11 +543,10 @@
 
 			if ($mime_magic_resource) {
-				$m= finfo_file($mime_magic_resource, $file);
-
-				finfo_close($mime_magic_resource);
-			}
-			else wfDebug("$fname: finfo_open failed on ".FILEINFO_MIME."!\n");
-		}
-		else if (function_exists("mime_content_type")) {
+				$m = finfo_file( $mime_magic_resource, $file );
+				finfo_close( $mime_magic_resource );
+			} else {
+				wfDebug( __METHOD__.": finfo_open failed on ".FILEINFO_MIME."!\n" );
+			}
+		} elseif ( function_exists( "mime_content_type" ) ) {
 
 			# NOTE: this function is available since PHP 4.3.0, but only if
@@ -518,5 +559,5 @@
 			# see http://www.php.net/manual/en/ref.mime-magic.php for details.
 
-			$m= mime_content_type($file);
+			$m = mime_content_type($file);
 
 			if ( $m == 'text/plain' ) {
@@ -524,79 +565,85 @@
 				$deja = new DjVuImage( $file );
 				if( $deja->isValid() ) {
-					wfDebug("$fname: (re)detected $file as image/vnd.djvu\n");
+					wfDebug( __METHOD__.": (re)detected $file as image/vnd.djvu\n" );
 					$m = 'image/vnd.djvu';
 				}
 			}
-		}
-		else wfDebug("$fname: no magic mime detector found!\n");
-
-		if ($m) {
-			#normalize
-			$m= preg_replace('![;, ].*$!','',$m); #strip charset, etc
-			$m= trim($m);
-			$m= strtolower($m);
-
-			if (strpos($m,'unknown')!==false) $m= NULL;
-			else {
-				wfDebug("$fname: magic mime type of $file: $m\n");
+		} else {
+			wfDebug( __METHOD__.": no magic mime detector found!\n" );
+		}
+
+		if ( $m ) {
+			# normalize
+			$m = preg_replace( '![;, ].*$!', '', $m ); #strip charset, etc
+			$m = trim( $m );
+			$m = strtolower( $m );
+
+			if ( strpos( $m, 'unknown' ) !== false ) {
+				$m = NULL;
+			} else {
+				wfDebug( __METHOD__.": magic mime type of $file: $m\n" );
 				return $m;
 			}
 		}
 
-		#if still not known, use getimagesize to find out the type of image
-		#TODO: skip things that do not have a well-known image extension? Would that be safe?
+		# if still not known, use getimagesize to find out the type of image
+		# TODO: skip things that do not have a well-known image extension? Would that be safe?
 		wfSuppressWarnings();
 		$gis = getimagesize( $file );
 		wfRestoreWarnings();
 
-		$notAnImage= false;
-
-		if ($gis && is_array($gis) && $gis[2]) {
-			switch ($gis[2]) {
-				case IMAGETYPE_GIF: $m= "image/gif"; break;
-				case IMAGETYPE_JPEG: $m= "image/jpeg"; break;
-				case IMAGETYPE_PNG: $m= "image/png"; break;
-				case IMAGETYPE_SWF: $m= "application/x-shockwave-flash"; break;
-				case IMAGETYPE_PSD: $m= "application/photoshop"; break;
-				case IMAGETYPE_BMP: $m= "image/bmp"; break;
-				case IMAGETYPE_TIFF_II: $m= "image/tiff"; break;
-				case IMAGETYPE_TIFF_MM: $m= "image/tiff"; break;
-				case IMAGETYPE_JPC: $m= "image"; break;
-				case IMAGETYPE_JP2: $m= "image/jpeg2000"; break;
-				case IMAGETYPE_JPX: $m= "image/jpeg2000"; break;
-				case IMAGETYPE_JB2: $m= "image"; break;
-				case IMAGETYPE_SWC: $m= "application/x-shockwave-flash"; break;
-				case IMAGETYPE_IFF: $m= "image/vnd.xiff"; break;
-				case IMAGETYPE_WBMP: $m= "image/vnd.wap.wbmp"; break;
-				case IMAGETYPE_XBM: $m= "image/x-xbitmap"; break;
-			}
-
-			if ($m) {
-				wfDebug("$fname: image mime type of $file: $m\n");
+		$notAnImage = false;
+
+		if ( $gis && is_array($gis) && $gis[2] ) {
+			
+			switch ( $gis[2] ) {
+				case IMAGETYPE_GIF: $m = "image/gif"; break;
+				case IMAGETYPE_JPEG: $m = "image/jpeg"; break;
+				case IMAGETYPE_PNG: $m = "image/png"; break;
+				case IMAGETYPE_SWF: $m = "application/x-shockwave-flash"; break;
+				case IMAGETYPE_PSD: $m = "application/photoshop"; break;
+				case IMAGETYPE_BMP: $m = "image/bmp"; break;
+				case IMAGETYPE_TIFF_II: $m = "image/tiff"; break;
+				case IMAGETYPE_TIFF_MM: $m = "image/tiff"; break;
+				case IMAGETYPE_JPC: $m = "image"; break;
+				case IMAGETYPE_JP2: $m = "image/jpeg2000"; break;
+				case IMAGETYPE_JPX: $m = "image/jpeg2000"; break;
+				case IMAGETYPE_JB2: $m = "image"; break;
+				case IMAGETYPE_SWC: $m = "application/x-shockwave-flash"; break;
+				case IMAGETYPE_IFF: $m = "image/vnd.xiff"; break;
+				case IMAGETYPE_WBMP: $m = "image/vnd.wap.wbmp"; break;
+				case IMAGETYPE_XBM: $m = "image/x-xbitmap"; break;
+			}
+
+			if ( $m ) {
+				wfDebug( __METHOD__.": image mime type of $file: $m\n" );
 				return $m;
 			}
-			else $notAnImage= true;
+			else {
+				$notAnImage = true;
+			}
 		} else {
 			// Also test DjVu
 			$deja = new DjVuImage( $file );
 			if( $deja->isValid() ) {
-				wfDebug("$fname: detected $file as image/vnd.djvu\n");
+				wfDebug( __METHOD__.": detected $file as image/vnd.djvu\n" );
 				return 'image/vnd.djvu';
 			}
 		}
 
-		#if desired, look at extension as a fallback.
-		if ($useExt) {
+		# if desired, look at extension as a fallback.
+		if ( $ext === true ) {
 			$i = strrpos( $file, '.' );
-			$e= strtolower( $i ? substr( $file, $i + 1 ) : '' );
-
-			$m= $this->guessTypesForExtension($e);
-
-			#TODO: if $notAnImage is set, do not trust the file extension if
+			$ext = strtolower( $i ? substr( $file, $i + 1 ) : '' );
+		}
+		if ( $ext ) {
+			$m = $this->guessTypesForExtension( $ext );
+
+			# TODO: if $notAnImage is set, do not trust the file extension if
 			# the results is one of the image types that should have been recognized
 			# by getimagesize
 
-			if ($m) {
-				wfDebug("$fname: extension mime type of $file: $m\n");
+			if ( $m ) {
+				wfDebug( __METHOD__.": extension mime type of $file: $m\n" );
 				return $m;
 			}
@@ -604,5 +651,5 @@
 
 		#unknown type
-		wfDebug("$fname: failed to guess mime type for $file!\n");
+		wfDebug( __METHOD__.": failed to guess mime type for $file!\n" );
 		return "unknown/unknown";
 	}
@@ -624,59 +671,59 @@
 	* @return (int?string?) a value to be used with the MEDIATYPE_xxx constants.
 	*/
-	function getMediaType($path=NULL,$mime=NULL) {
+	function getMediaType( $path = NULL, $mime = NULL ) {
 		if( !$mime && !$path ) return MEDIATYPE_UNKNOWN;
 
-		#if mime type is unknown, guess it
-		if( !$mime ) $mime= $this->guessMimeType($path,false);
-
-		#special code for ogg - detect if it's video (theora),
-		#else label it as sound.
-		if( $mime=="application/ogg" && file_exists($path) ) {
+		# If mime type is unknown, guess it
+		if( !$mime ) $mime = $this->guessMimeType( $path, false );
+
+		# Special code for ogg - detect if it's video (theora),
+		# else label it as sound.
+		if( $mime == "application/ogg" && file_exists( $path ) ) {
 
 			// Read a chunk of the file
 			$f = fopen( $path, "rt" );
-			if( !$f ) return MEDIATYPE_UNKNOWN;
+			if ( !$f ) return MEDIATYPE_UNKNOWN;
 			$head = fread( $f, 256 );
 			fclose( $f );
 
-			$head= strtolower( $head );
-
-			#This is an UGLY HACK, file should be parsed correctly
-			if( strpos($head,'theora')!==false ) return MEDIATYPE_VIDEO;
-			elseif( strpos($head,'vorbis')!==false ) return MEDIATYPE_AUDIO;
-			elseif( strpos($head,'flac')!==false ) return MEDIATYPE_AUDIO;
-			elseif( strpos($head,'speex')!==false ) return MEDIATYPE_AUDIO;
+			$head = strtolower( $head );
+
+			# This is an UGLY HACK, file should be parsed correctly
+			if ( strpos( $head, 'theora' ) !== false ) return MEDIATYPE_VIDEO;
+			elseif ( strpos( $head, 'vorbis' ) !== false ) return MEDIATYPE_AUDIO;
+			elseif ( strpos( $head, 'flac' ) !== false ) return MEDIATYPE_AUDIO;
+			elseif ( strpos( $head, 'speex' ) !== false ) return MEDIATYPE_AUDIO;
 			else return MEDIATYPE_MULTIMEDIA;
 		}
 
-		#check for entry for full mime type
+		# check for entry for full mime type
 		if( $mime ) {
-			$type= $this->findMediaType($mime);
-			if( $type!==MEDIATYPE_UNKNOWN ) return $type;
-		}
-
-		#check for entry for file extension
-		$e= NULL;
-		if( $path ) {
+			$type = $this->findMediaType( $mime );
+			if( $type !== MEDIATYPE_UNKNOWN ) return $type;
+		}
+
+		# Check for entry for file extension
+		$e = NULL;
+		if ( $path ) {
 			$i = strrpos( $path, '.' );
-			$e= strtolower( $i ? substr( $path, $i + 1 ) : '' );
-
-			#TODO: look at multi-extension if this fails, parse from full path
-
-			$type= $this->findMediaType('.'.$e);
-			if( $type!==MEDIATYPE_UNKNOWN ) return $type;
-		}
-
-		#check major mime type
+			$e = strtolower( $i ? substr( $path, $i + 1 ) : '' );
+
+			# TODO: look at multi-extension if this fails, parse from full path
+
+			$type = $this->findMediaType( '.' . $e );
+			if ( $type !== MEDIATYPE_UNKNOWN ) return $type;
+		}
+
+		# Check major mime type
 		if( $mime ) {
-			$i= strpos($mime,'/');
+			$i = strpos( $mime, '/' );
 			if( $i !== false ) {
-				$major= substr($mime,0,$i);
-				$type= $this->findMediaType($major);
-				if( $type!==MEDIATYPE_UNKNOWN ) return $type;
-			}
-		}
-
-		if( !$type ) $type= MEDIATYPE_UNKNOWN;
+				$major = substr( $mime, 0, $i );
+				$type = $this->findMediaType( $major );
+				if( $type !== MEDIATYPE_UNKNOWN ) return $type;
+			}
+		}
+
+		if( !$type ) $type = MEDIATYPE_UNKNOWN;
 
 		return $type;
@@ -690,23 +737,24 @@
 	* @access private
 	*/
-	function findMediaType($extMime) {
-
-		if (strpos($extMime,'.')===0) { #if it's an extension, look up the mime types
-			$m= $this->getTypesForExtension(substr($extMime,1));
-			if (!$m) return MEDIATYPE_UNKNOWN;
-
-			$m= explode(' ',$m);
-		}
-		else { #normalize mime type
-			if (isset($this->mMimeTypeAliases[$extMime])) {
-				$extMime= $this->mMimeTypeAliases[$extMime];
-			}
-
-			$m= array($extMime);
-		}
-
-		foreach ($m as $mime) {
-			foreach ($this->mMediaTypes as $type => $codes) {
-				if (in_array($mime,$codes,true)) return $type;
+	function findMediaType( $extMime ) {
+		if ( strpos( $extMime, '.' ) === 0 ) { #if it's an extension, look up the mime types
+			$m = $this->getTypesForExtension( substr( $extMime, 1 ) );
+			if ( !$m ) return MEDIATYPE_UNKNOWN;
+
+			$m = explode( ' ', $m );
+		} else { 
+			# Normalize mime type
+			if ( isset( $this->mMimeTypeAliases[$extMime] ) ) {
+				$extMime = $this->mMimeTypeAliases[$extMime];
+			}
+
+			$m = array($extMime);
+		}
+
+		foreach ( $m as $mime ) {
+			foreach ( $this->mMediaTypes as $type => $codes ) {
+				if ( in_array($mime, $codes, true ) ) {
+					return $type;
+				}
 			}
 		}
@@ -716,3 +764,3 @@
 }
 
-?>
+