Index: FCKeditor.Java/branches/2.4/pom.xml
===================================================================
--- FCKeditor.Java/branches/2.4/pom.xml	(revision 1289)
+++ FCKeditor.Java/branches/2.4/pom.xml	(revision 1297)
@@ -3,11 +3,66 @@
 	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
 	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
-                      http://maven.apache.org/xsd/maven-4.0.0.xsd">
+                      http://maven.apache.org/xsd/maven-4.0.0.xsd"
+>
 	<modelVersion>4.0.0</modelVersion>
 	<groupId>com.fredck.fckeditor</groupId>
 	<artifactId>fckeditor-java</artifactId>
+	<version>2.5-BRANCH</version>
 	<packaging>jar</packaging>
+	<dependencies>
+		<dependency>
+			<groupId>commons-fileupload</groupId>
+			<artifactId>commons-fileupload</artifactId>
+			<version>1.2</version>
+		</dependency>
+		<dependency>
+			<groupId>commons-io</groupId>
+			<artifactId>commons-io</artifactId>
+			<version>1.3.2</version>
+		</dependency>
+		<dependency>
+			<groupId>javax.servlet</groupId>
+			<artifactId>servlet-api</artifactId>
+			<version>2.4</version>
+			<scope>provided</scope>
+		</dependency>
+		<dependency>
+			<groupId>javax.servlet.jsp</groupId>
+			<artifactId>jsp-api</artifactId>
+			<version>2.0</version>
+			<scope>provided</scope>
+		</dependency>
+		<dependency>
+			<groupId>junit</groupId>
+			<artifactId>junit</artifactId>
+			<version>3.8.2</version>
+			<scope>test</scope>
+		</dependency>
+	</dependencies>
+	<build>
+		<finalName>FCKeditor-${pom.version}</finalName>
+		<plugins>
+			<plugin>
+				<groupId>org.mortbay.jetty</groupId>
+				<artifactId>maven-jetty-plugin</artifactId>
+			</plugin>
+			<plugin>
+				<artifactId>maven-compiler-plugin</artifactId>
+				<configuration>
+					<source>1.5</source>
+					<target>1.5</target>
+				</configuration>
+			</plugin>
+		</plugins>
+	</build>
+	<reporting>
+		<plugins>
+			<plugin>
+				<groupId>net.sourceforge.maven-taglib</groupId>
+				<artifactId>maven-taglib-plugin</artifactId>
+			</plugin>
+		</plugins>
+	</reporting>
 	<name>FCKeditor - Java Connector</name>
-	<version>2.5-BRANCH</version>
 	<description>
 		The connector is a Java library which enables the FCKeditor to
@@ -17,15 +72,61 @@
 	</description>
 	<url>http://www.fckeditor.net/</url>
+	<inceptionYear>2005</inceptionYear>
+	<licenses>
+		<license>
+			<name>GPL, LGPL, MPL</name>
+			<url>license.txt</url>
+		</license>
+	</licenses>
+	<organization>
+		<name>The FCKeditor Team</name>
+		<url>http://www.fckeditor.net</url>
+	</organization>
+	<developers>
+		<developer>
+			<id>fredck</id>
+			<name>Frederico Caldeira Knabben</name>
+			<email>fredck@fckeditor.net</email>
+			<url>http://www.fredck.com</url>
+			<organization>FCKeditor</organization>
+			<organizationUrl>http://www.fckeditor.net</organizationUrl>
+			<roles>
+				<role>Project Manager</role>
+			</roles>
+			<timezone>+1</timezone>
+		</developer>
+		<developer>
+			<id>th-schwarz</id>
+			<name>Thilo Schwarz</name>
+			<email>th-schwarz@users.sourceforge.net</email>
+			<roles>
+				<role>Project Manager</role>
+				<role>Developer</role>
+			</roles>
+			<timezone>+1</timezone>
+		</developer>
+		<developer>
+			<id>mosipov</id>
+			<name>Michael Osipov</name>
+			<email>sgfan@gmx.net</email>
+			<roles>
+				<role>Project Manager</role>
+				<role>Developer</role>
+			</roles>
+			<timezone>+1</timezone>
+		</developer>
+		<developer>
+			<name>Simone Chiaretta</name>
+			<email>simo@users.sourceforge.net</email>
+			<roles>
+				<role>Retired Developer</role>
+			</roles>
+			<timezone>+1</timezone>
+		</developer>
+	</developers>
 	<issueManagement>
 		<system>Trac</system>
 		<url>http://dev.fckeditor.net/report</url>
 	</issueManagement>
-	<scm>
-		<connection>
-			scm:svn:http://svn.fckeditor.net/FCKeditor.Java/trunk/
-		</connection>
-		<url>http://dev.fckeditor.net/browser/FCKeditor.Java</url>
-	</scm>
-	<inceptionYear>2005</inceptionYear>
 	<mailingLists>
 		<mailingList>
@@ -72,111 +173,12 @@
 		</mailingList>
 	</mailingLists>
-	<developers>
-		<developer>
-			<id>fredck</id>
-			<name>Frederico Caldeira Knabben</name>
-			<email>fredck@fckeditor.net</email>
-			<organization>FCKeditor</organization>
-			<organizationUrl>http://www.fredck.com</organizationUrl>
-			<roles>
-				<role>Project Manager</role>
-			</roles>
-			<timezone>+1</timezone>
-		</developer>
-		<developer>
-			<id>th-schwarz</id>
-			<name>Thilo Schwarz</name>
-			<email>th-schwarz@users.sourceforge.net</email>
-			<roles>
-				<role>Project Manager</role>
-				<role>Developer</role>
-			</roles>
-			<timezone>+1</timezone>
-		</developer>
-		<developer>
-			<id>mosipov</id>
-			<name>Michael Osipov</name>
-			<email>sgfan@gmx.net</email>
-			<roles>
-				<role>Project Manager</role>
-				<role>Developer</role>
-			</roles>
-			<timezone>+1</timezone>
-		</developer>
-		<developer>
-			<name>Simone Chiaretta</name>
-			<email>simo@users.sourceforge.net</email>
-			<roles>
-				<role>Retired Developer</role>
-			</roles>
-			<timezone>+1</timezone>
-		</developer>
-	</developers>
-	<licenses>
-		<license>
-			<name>GPL, LGPL, MPL</name>
-			<url>LICENSE</url>
-		</license>
-	</licenses>
-	<organization>
-		<name>The FCKeditor Team</name>
-		<url>http://www.fckeditor.net</url>
-	</organization>
+	<scm>
+		<connection>
+			scm:svn:http://svn.fckeditor.net/FCKeditor.Java/trunk/
+		</connection>
+		<url>http://dev.fckeditor.net/browser/FCKeditor.Java</url>
+	</scm>
 	<prerequisites>
 		<maven>2.0.6</maven>
 	</prerequisites>
-	<build>
-		<finalName>FCKeditor-${pom.version}</finalName>
-		<plugins>
-			<plugin>
-				<groupId>org.mortbay.jetty</groupId>
-				<artifactId>maven-jetty-plugin</artifactId>
-			</plugin>
-			<plugin>
-				<artifactId>maven-compiler-plugin</artifactId>
-				<configuration>
-					<source>1.5</source>
-					<target>1.5</target>
-				</configuration>
-			</plugin>
-		</plugins>
-	</build>
-	<reporting>
-		<plugins>
-			<plugin>
-				<groupId>net.sourceforge.maven-taglib</groupId>
-				<artifactId>maven-taglib-plugin</artifactId>
-			</plugin>
-		</plugins>
-	</reporting>
-	<dependencies>
-		<dependency>
-			<groupId>commons-fileupload</groupId>
-			<artifactId>commons-fileupload</artifactId>
-			<version>1.2</version>
-		</dependency>
-		<dependency>
-			<groupId>commons-io</groupId>
-			<artifactId>commons-io</artifactId>
-			<version>1.3.2</version>
-		</dependency>
-		<dependency>
-			<groupId>javax.servlet</groupId>
-			<artifactId>servlet-api</artifactId>
-			<version>2.4</version>
-			<scope>provided</scope>
-		</dependency>
-		<dependency>
-			<groupId>junit</groupId>
-			<artifactId>junit</artifactId>
-			<version>3.8.2</version>
-			<scope>test</scope>
-		</dependency>
-		<dependency>
-			<groupId>javax.servlet.jsp</groupId>
-			<artifactId>jsp-api</artifactId>
-			<version>2.0</version>
-			<scope>provided</scope>
-		</dependency>
-	</dependencies>
 </project>