Index: FCKeditor/trunk/_whatsnew.html
===================================================================
--- FCKeditor/trunk/_whatsnew.html	(revision 1502)
+++ FCKeditor/trunk/_whatsnew.html	(revision 1503)
@@ -83,4 +83,6 @@
 		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1682">#1682</a>] Editing control elements
 			in Firefox, Opera and Safari now works properly.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1613">#1613</a>] The editor was surrounded
+			by a &lt;div&gt; element that wasn't really needed.</li>
 	</ul>
 	<p>
Index: FCKeditor/trunk/fckeditor.afp
===================================================================
--- FCKeditor/trunk/fckeditor.afp	(revision 1502)
+++ FCKeditor/trunk/fckeditor.afp	(revision 1503)
@@ -63,5 +63,5 @@
 		HtmlValue = THIS.cValue		&& HTMLSPECIALCHARS()
 
-		html = [<div>]
+		html = []
 		IF THIS.IsCompatible()
 			lcLink = THIS.BasePath+[editor/fckeditor.html?InstanceName=]+THIS.cInstanceName
@@ -94,6 +94,4 @@
 			html = html + [<textarea name="]+THIS.cInstanceName +[" rows="4" cols="40" style="width: ]+WidthCSS+[ height: ]+HeightCSS+[">]+HtmlValue+[</textarea>]
 		ENDIF
-
-		html = html + [</div>]
 
 		RETURN (html)
Index: FCKeditor/trunk/fckeditor.asp
===================================================================
--- FCKeditor/trunk/fckeditor.asp	(revision 1502)
+++ FCKeditor/trunk/fckeditor.asp	(revision 1503)
@@ -132,5 +132,5 @@
 		End If
 
-		CreateHtml = "<div>" & html & "</div>"
+		CreateHtml = html 
 
 	End Function
Index: FCKeditor/trunk/fckeditor.cfc
===================================================================
--- FCKeditor/trunk/fckeditor.cfc	(revision 1502)
+++ FCKeditor/trunk/fckeditor.cfc	(revision 1503)
@@ -123,7 +123,5 @@
 
 	<cfscript>
-	result = result & "<div>" & chr(13) & chr(10);
 	result = result & "<textarea name=""#this.instanceName#"" rows=""4"" cols=""40"" style=""WIDTH: #this.width#; HEIGHT: #this.height#"">#HTMLEditFormat(this.value)#</textarea>" & chr(13) & chr(10);
-	result = result & "</div>" & chr(13) & chr(10);
 	</cfscript>
 	<cfreturn result />
@@ -154,9 +152,7 @@
 
 	<cfscript>
-	result = result & "<div>" & chr(13) & chr(10);
 	result = result & "<input type=""hidden"" id=""#this.instanceName#"" name=""#this.instanceName#"" value=""#HTMLEditFormat(this.value)#"" style=""display:none"" />" & chr(13) & chr(10);
 	result = result & "<input type=""hidden"" id=""#this.instanceName#___Config"" value=""#GetConfigFieldString()#"" style=""display:none"" />" & chr(13) & chr(10);
 	result = result & "<iframe id=""#this.instanceName#___Frame"" src=""#sURL#"" width=""#this.width#"" height=""#this.height#"" frameborder=""0"" scrolling=""no""></iframe>" & chr(13) & chr(10);
-	result = result & "</div>" & chr(13) & chr(10);
 	</cfscript>
 	<cfreturn result />
Index: FCKeditor/trunk/fckeditor.cfm
===================================================================
--- FCKeditor/trunk/fckeditor.cfm	(revision 1502)
+++ FCKeditor/trunk/fckeditor.cfm	(revision 1503)
@@ -131,9 +131,7 @@
 
 	<cfoutput>
-	<div>
 	<input type="hidden" id="#attributes.instanceName#" name="#attributes.instanceName#" value="#HTMLEditFormat(attributes.value)#" style="display:none" />
 	<input type="hidden" id="#attributes.instanceName#___Config" value="#sConfig#" style="display:none" />
 	<iframe id="#attributes.instanceName#___Frame" src="#sURL#" width="#attributes.width#" height="#attributes.height#" frameborder="0" scrolling="no"></iframe>
-	</div>
 	</cfoutput>
 
@@ -154,7 +152,5 @@
 	<!--- Fixed Bug ##1075166. hk@lwd.de 20041206 --->
 	<cfoutput>
-	<div>
 	<textarea name="#attributes.instanceName#" rows="4" cols="40" style="WIDTH: #attributes.width#; HEIGHT: #attributes.height#">#HTMLEditFormat(attributes.value)#</textarea>
-	</div>
 	</cfoutput>
 
Index: FCKeditor/trunk/fckeditor.js
===================================================================
--- FCKeditor/trunk/fckeditor.js	(revision 1502)
+++ FCKeditor/trunk/fckeditor.js	(revision 1503)
@@ -77,5 +77,5 @@
 	}
 
-	var sHtml = '<div>' ;
+	var sHtml = '' ;
 
 	if ( !this.CheckBrowser || this._IsCompatibleBrowser() )
@@ -91,6 +91,4 @@
 		sHtml += '<textarea name="' + this.InstanceName + '" rows="4" cols="40" style="width:' + sWidth + ';height:' + sHeight + '">' + this._HTMLEncode( this.Value ) + '<\/textarea>' ;
 	}
-
-	sHtml += '</div>' ;
 
 	return sHtml ;
Index: FCKeditor/trunk/fckeditor.lasso
===================================================================
--- FCKeditor/trunk/fckeditor.lasso	(revision 1502)
+++ FCKeditor/trunk/fckeditor.lasso	(revision 1503)
@@ -65,15 +65,11 @@
 			if(self->isCompatibleBrowser);
 				local('out' = '
-					<div>
 						<input type="hidden" id="' + self->instancename + '" name="' + self->instancename + '" value="' + encode_html(self->initialvalue) + '" style="display:none" />
 						' + self->parseConfig + '
 						<iframe id="' + self->instancename + '___Frame" src="' + self->basepath + 'editor/fckeditor.html?InstanceName=' + self->instancename + '&Toolbar=' + self->toolbarset + '" width="' + self->width + '" height="' + self->height + '" frameborder="0" scrolling="no"></iframe>
-					</div>
 				');
 			else;
 				local('out' = '
-					<div>
 						<textarea name="' + self->instancename + '" rows="4" cols="40" style="width: ' + self->width + '; height: ' + self->height + '">' + encode_html(self->initialvalue) + '</textarea>
-					</div>
 				');
 			/if;
Index: FCKeditor/trunk/fckeditor.pl
===================================================================
--- FCKeditor/trunk/fckeditor.pl	(revision 1502)
+++ FCKeditor/trunk/fckeditor.pl	(revision 1503)
@@ -64,5 +64,5 @@
 
 	$HtmlValue = &specialchar_cnv($Value);
-	$Html = '<div>' ;
+	$Html = '' ;
 	if(&IsCompatible()) {
 		$Link = $BasePath . "editor/fckeditor.html?InstanceName=$InstanceName";
@@ -94,5 +94,4 @@
 		$Html .= "<textarea name=\"$InstanceName\" rows=\"4\" cols=\"40\" style=\"width: $WidthCSS; height: $HeightCSS\">$HtmlValue</textarea>";
 	}
-	$Html .= '</div>';
 	return($Html);
 }
Index: FCKeditor/trunk/fckeditor.py
===================================================================
--- FCKeditor/trunk/fckeditor.py	(revision 1502)
+++ FCKeditor/trunk/fckeditor.py	(revision 1503)
@@ -58,5 +58,5 @@
 	def CreateHtml(self):
 		HtmlValue = escape(self.Value)
-		Html = "<div>"
+		Html = ""
 
 		if (self.IsCompatible()):
@@ -106,5 +106,4 @@
 					HtmlValue
 					)
-		Html += "</div>"
 		return Html
 
Index: FCKeditor/trunk/fckeditor_php4.php
===================================================================
--- FCKeditor/trunk/fckeditor_php4.php	(revision 1502)
+++ FCKeditor/trunk/fckeditor_php4.php	(revision 1503)
@@ -58,5 +58,5 @@
 		$HtmlValue = htmlspecialchars( $this->Value ) ;
 
-		$Html = '<div>' ;
+		$Html = '' ;
 		
 		if ( !isset( $_GET ) ) {
@@ -100,6 +100,4 @@
 			$Html .= "<textarea name=\"{$this->InstanceName}\" rows=\"4\" cols=\"40\" style=\"width: {$WidthCSS}; height: {$HeightCSS}\">{$HtmlValue}</textarea>" ;
 		}
-
-		$Html .= '</div>' ;
 
 		return $Html ;
Index: FCKeditor/trunk/fckeditor_php5.php
===================================================================
--- FCKeditor/trunk/fckeditor_php5.php	(revision 1502)
+++ FCKeditor/trunk/fckeditor_php5.php	(revision 1503)
@@ -58,5 +58,5 @@
 		$HtmlValue = htmlspecialchars( $this->Value ) ;
 
-		$Html = '<div>' ;
+		$Html = '' ;
 
 		if ( $this->IsCompatible() )
@@ -95,6 +95,4 @@
 			$Html .= "<textarea name=\"{$this->InstanceName}\" rows=\"4\" cols=\"40\" style=\"width: {$WidthCSS}; height: {$HeightCSS}\">{$HtmlValue}</textarea>" ;
 		}
-
-		$Html .= '</div>' ;
 
 		return $Html ;