Index: FCKeditor/trunk/editor/lang/_translationstatus.txt
===================================================================
--- FCKeditor/trunk/editor/lang/_translationstatus.txt	(revision 1611)
+++ FCKeditor/trunk/editor/lang/_translationstatus.txt	(revision 1612)
@@ -52,5 +52,5 @@
 ja.js      Found: 411   Missing: 0
 km.js      Found: 370   Missing: 41
-ko.js      Found: 368   Missing: 43
+ko.js      Found: 390   Missing: 21
 lt.js      Found: 376   Missing: 35
 lv.js      Found: 381   Missing: 30
Index: FCKeditor/trunk/editor/lang/ko.js
===================================================================
--- FCKeditor/trunk/editor/lang/ko.js	(revision 1611)
+++ FCKeditor/trunk/editor/lang/ko.js	(revision 1612)
@@ -105,27 +105,27 @@
 ImageButton		: "이미지버튼",
 
-FitWindow		: "Maximize the editor size",	//MISSING
+FitWindow		: "에디터 최대화",
 ShowBlocks		: "Show Blocks",	//MISSING
 
 // Context Menu
 EditLink			: "링크 수정",
-CellCM				: "Cell",	//MISSING
-RowCM				: "Row",	//MISSING
-ColumnCM			: "Column",	//MISSING
-InsertRowAfter		: "Insert Row After",	//MISSING
-InsertRowBefore		: "Insert Row Before",	//MISSING
+CellCM				: "셀/칸(Cell)",
+RowCM				: "행(Row)",
+ColumnCM			: "열(Column)",
+InsertRowAfter		: "뒤에 행 삽입",
+InsertRowBefore		: "앞에 행 삽입",
 DeleteRows			: "가로줄 삭제",
-InsertColumnAfter	: "Insert Column After",	//MISSING
-InsertColumnBefore	: "Insert Column Before",	//MISSING
+InsertColumnAfter	: "뒤에 열 삽입",
+InsertColumnBefore	: "앞에 열 삽입",
 DeleteColumns		: "세로줄 삭제",
-InsertCellAfter		: "Insert Cell After",	//MISSING
-InsertCellBefore	: "Insert Cell Before",	//MISSING
+InsertCellAfter		: "뒤에 셀/칸 삽입",
+InsertCellBefore	: "앞에 셀/칸 삽입",
 DeleteCells			: "셀 삭제",
 MergeCells			: "셀 합치기",
-MergeRight			: "Merge Right",	//MISSING
-MergeDown			: "Merge Down",	//MISSING
-HorizontalSplitCell	: "Split Cell Horizontally",	//MISSING
-VerticalSplitCell	: "Split Cell Vertically",	//MISSING
-TableDelete			: "Delete Table",	//MISSING
+MergeRight			: "오른쪽 뭉치기",
+MergeDown			: "왼쪽 뭉치기",
+HorizontalSplitCell	: "수평 나누기",
+VerticalSplitCell	: "수직 나누기",
+TableDelete			: "표 삭제",
 CellProperties		: "셀 속성",
 TableProperties		: "표 속성",
@@ -155,7 +155,7 @@
 NotImplemented		: "기능이 실행되지 않았습니다.",
 UnknownToolbarSet	: "툴바 설정이 없습니다. : \"%1\"",
-NoActiveX			: "Your browser's security settings could limit some features of the editor. You must enable the option \"Run ActiveX controls and plug-ins\". You may experience errors and notice missing features.",	//MISSING
-BrowseServerBlocked : "The resources browser could not be opened. Make sure that all popup blockers are disabled.",	//MISSING
-DialogBlocked		: "It was not possible to open the dialog window. Make sure all popup blockers are disabled.",	//MISSING
+NoActiveX			: "브러우저의 보안 설정으로 인해 몇몇 기능의 작동에 장애가 있을 수 있습니다. \"액티브-액스 기능과 플러그 인\" 옵션을 허용하여 주시지 않으면 오류가 발생할 수 있습니다.",
+BrowseServerBlocked : "브러우저 요소가 열리지 않습니다. 팝업차단 설정이 꺼져있는지 확인하여 주십시오.",
+DialogBlocked		: "윈도우 대화창을 열 수 없습니다. 팝업차단 설정이 꺼져있는지 확인하여 주십시오.",
 
 // Dialogs
@@ -208,5 +208,5 @@
 DlgImgAlignMiddle	: "중간",
 DlgImgAlignRight	: "오른쪽",
-DlgImgAlignTextTop	: "글자위(Text Top)",
+DlgImgAlignTextTop	: "글자상단",
 DlgImgAlignTop		: "위",
 DlgImgPreview		: "미리보기",
@@ -272,5 +272,5 @@
 DlnLnkMsgNoEMail	: "이메일주소를 입력하십시요.",
 DlnLnkMsgNoAnchor	: "책갈피명을 입력하십시요.",
-DlnLnkMsgInvPopName	: "The popup name must begin with an alphabetic character and must not contain spaces",	//MISSING
+DlnLnkMsgInvPopName	: "팝업창의 타이틀은 공백을 허용하지 않습니다.",
 
 // Color Dialog
@@ -333,5 +333,5 @@
 
 // Find and Replace Dialog
-DlgFindAndReplaceTitle	: "Find and Replace",	//MISSING
+DlgFindAndReplaceTitle	: "찾기 & 바꾸기",
 
 // Find Dialog
@@ -357,5 +357,5 @@
 
 DlgPasteMsg2	: "키보드의 (<STRONG>Ctrl+V</STRONG>) 를 이용해서 상자안에 붙여넣고 <STRONG>OK</STRONG> 를 누르세요.",
-DlgPasteSec		: "Because of your browser security settings, the editor is not able to access your clipboard data directly. You are required to paste it again in this window.",	//MISSING
+DlgPasteSec		: "브러우저 보안 설정으로 인해, 클립보드의 자료를 직접 접근할 수 없습니다. 이 창에 다시 붙여넣기 하십시오.",
 DlgPasteIgnoreFont		: "폰트 설정 무시",
 DlgPasteRemoveStyles	: "스타일 정의 제거",
@@ -505,5 +505,5 @@
 DlgTemplatesLoading	: "템플릿 목록을 불러오는중입니다. 잠시만 기다려주십시요.",
 DlgTemplatesNoTpl	: "(템플릿이 없습니다.)",
-DlgTemplatesReplace	: "Replace actual contents",	//MISSING
+DlgTemplatesReplace	: "현재 내용 바꾸기",
 
 // About Dialog
@@ -512,4 +512,4 @@
 DlgAboutLicenseTab	: "License",	//MISSING
 DlgAboutVersion		: "버전",
-DlgAboutInfo		: "For further information go to"
+DlgAboutInfo		: "더 많은 정보를 보시려면 다음 사이트로 가십시오."
 };